/*
 * Pixmap Utility Library
 *
 * (c) Ken Lynch 2001
 *
 * Distributed under the terms of the GPL
 *
 * See COPYING for more details
 *
 */

#ifndef __PIXMAP_H
#define __PIXMAP_H

#include <X11/xpm.h>

typedef struct
{
    Pixmap pixmap, mask;
    int width, height;
}
MyPixmap;

int loadPixmap(Display *, MyPixmap *, char *, char *, XpmColorSymbol *, int);
void freePixmap(Display *, MyPixmap *);
void scalePixmap(Display *, MyPixmap *, MyPixmap *, int width, int height);

#endif /* __PIXMAP_H */
