/*
 * X11 Keyboard Utility Library
 *
 * (c) Ken Lynch 2001
 *
 * Distributed under the terms of the GPL
 *
 * See COPYING for more details
 *
 */

#ifndef __KEYBOARD_H
#define __KEYBOARD_H

#include <X11/keysym.h>

typedef struct
{
    KeyCode keycode;
    int modifier;
}
MyKey;

void parseKeyString(Display *, MyKey *, char *);
void grabKey(Display *, MyKey *, Window);
void ungrabKeys(Display *, Window);

#endif /* __KEYBOARD_H */
